Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class AbstractClausedStaticPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod

    public abstract class AbstractClausedStaticPersistentMethod
    extends AbstractStaticPersistentMethod

Authors:
  Graeme Rocher

Since:
  31-Aug-2005

Nested Class Summary
`protected static class` | `AbstractClausedStaticPersistentMethod.GrailsMethodExpression` @author Graeme Rocher

Field Summary
`protected GrailsApplication` | `application`

Method Summary
`java.lang.Object` | `AbstractClausedStaticPersistentMethod(GrailsApplication application, SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.util.regex.Pattern pattern, String[] operators)` Constructor.
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)`
`protected java.lang.Object` | `doInvokeInternalWithExpressions(java.lang.Class clazz, java.lang.String methodName, Object[] arguments, java.util.List expressions, java.lang.String operatorInUse, groovy.lang.Closure additionalCriteria)`

Methods inherited from class AbstractStaticPersistentMethod
doInvokeInternal, getCriteria, getHibernateTemplate, invoke, invoke

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, toString

Field Detail

### application

    protected final GrailsApplication application

Method Detail

### AbstractClausedStaticPersistentMethod

    public java.lang.Object AbstractClausedStaticPersistentMethod(GrailsApplication application, SessionFactory sessionFactory, java.lang.ClassLoader classLoader, java.util.regex.Pattern pattern, String[] operators)

  Constructor.
  Parameters:
    application
    sessionFactory
    classLoader
    pattern
    operators

### doInvokeInternal

    @SuppressWarnings({ "unchecked", "rawtypes" })
    @Override
    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)

### doInvokeInternalWithExpressions

    @SuppressWarnings("rawtypes")
    protected java.lang.Object doInvokeInternalWithExpressions(java.lang.Class clazz, java.lang.String methodName, Object[] arguments, java.util.List expressions, java.lang.String operatorInUse, groovy.lang.Closure additionalCriteria)

Groovy Documentation